# default | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class default

- Defined in src/system/pokemon-data.ts:18

##### Index

### Constructors

constructor

### Properties

abilityIndex
boss
bossSegments?
customPokemonData
evoCounter
exp
formIndex
friendship
fusionAbilityIndex
fusionCustomPokemonData
fusionFormIndex
fusionGender
fusionLuck
fusionMysteryEncounterPokemonData
fusionShiny
fusionSpecies
fusionTeraType
fusionVariant
gender
hp
id
isTerastallized
ivs
level
levelExp
luck
metBiome
metLevel
metSpecies
metWave
moveset
mysteryEncounterPokemonData
nature
natureOverride
nickname
passive
pauseEvolutions
player
pokeball
pokerus
shiny
species
stats
status
stellarTypesBoosted
summonData
summonDataSpeciesFormIndex
teraType
usedTMs
variant

### Methods

getSummonDataSpeciesFormIndex
toPokemon

## Constructors

### constructor

- new default(source: any, forHistory?: boolean): default

  #### Parameters

  - source: any
  - forHistory: boolean = false

  #### Returns default

  - Defined in src/system/pokemon-data.ts:77

## Properties

### abilityIndex

abilityIndex: number

- Defined in src/system/pokemon-data.ts:24

### boss

boss: boolean

- Defined in src/system/pokemon-data.ts:62

### `Optional` bossSegments

bossSegments?: number

- Defined in src/system/pokemon-data.ts:63

### customPokemonData

customPokemonData: CustomPokemonData

Data that can customize a Pokemon in non-standard ways from its Species

- Defined in src/system/pokemon-data.ts:69

### evoCounter

evoCounter: number

- Defined in src/system/pokemon-data.ts:48

### exp

exp: number

- Defined in src/system/pokemon-data.ts:30

### formIndex

formIndex: number

- Defined in src/system/pokemon-data.ts:23

### friendship

friendship: number

- Defined in src/system/pokemon-data.ts:39

### fusionAbilityIndex

fusionAbilityIndex: number

- Defined in src/system/pokemon-data.ts:55

### fusionCustomPokemonData

fusionCustomPokemonData: CustomPokemonData

- Defined in src/system/pokemon-data.ts:70

### fusionFormIndex

fusionFormIndex: number

- Defined in src/system/pokemon-data.ts:54

### fusionGender

fusionGender: Gender

- Defined in src/system/pokemon-data.ts:58

### fusionLuck

fusionLuck: number

- Defined in src/system/pokemon-data.ts:59

### fusionMysteryEncounterPokemonData

fusionMysteryEncounterPokemonData: null | CustomPokemonData

- Defined in src/system/pokemon-data.ts:75

### fusionShiny

fusionShiny: boolean

- Defined in src/system/pokemon-data.ts:56

### fusionSpecies

fusionSpecies: Species

- Defined in src/system/pokemon-data.ts:53

### fusionTeraType

fusionTeraType: PokemonType

- Defined in src/system/pokemon-data.ts:60

### fusionVariant

fusionVariant: Variant

- Defined in src/system/pokemon-data.ts:57

### gender

gender: Gender

- Defined in src/system/pokemon-data.ts:32

### hp

hp: number

- Defined in src/system/pokemon-data.ts:33

### id

id: number

- Defined in src/system/pokemon-data.ts:19

### isTerastallized

isTerastallized: boolean

- Defined in src/system/pokemon-data.ts:50

### ivs

ivs: number[]

- Defined in src/system/pokemon-data.ts:35

### level

level: number

- Defined in src/system/pokemon-data.ts:29

### levelExp

levelExp: number

- Defined in src/system/pokemon-data.ts:31

### luck

luck: number

- Defined in src/system/pokemon-data.ts:44

### metBiome

metBiome: -1 | Biome

- Defined in src/system/pokemon-data.ts:41

### metLevel

metLevel: number

- Defined in src/system/pokemon-data.ts:40

### metSpecies

metSpecies: Species

- Defined in src/system/pokemon-data.ts:42

### metWave

metWave: number

- Defined in src/system/pokemon-data.ts:43

### moveset

moveset: PokemonMove []

- Defined in src/system/pokemon-data.ts:37

### mysteryEncounterPokemonData

mysteryEncounterPokemonData: null | CustomPokemonData

- Defined in src/system/pokemon-data.ts:74

### nature

nature: Nature

- Defined in src/system/pokemon-data.ts:36

### natureOverride

natureOverride: -1 | Nature

- Defined in src/system/pokemon-data.ts:73

### nickname

nickname: string

- Defined in src/system/pokemon-data.ts:22

### passive

passive: boolean

- Defined in src/system/pokemon-data.ts:25

### pauseEvolutions

pauseEvolutions: boolean

- Defined in src/system/pokemon-data.ts:45

### player

player: boolean

- Defined in src/system/pokemon-data.ts:20

### pokeball

pokeball: PokeballType

- Defined in src/system/pokemon-data.ts:28

### pokerus

pokerus: boolean

- Defined in src/system/pokemon-data.ts:46

### shiny

shiny: boolean

- Defined in src/system/pokemon-data.ts:26

### species

species: Species

- Defined in src/system/pokemon-data.ts:21

### stats

stats: number[]

- Defined in src/system/pokemon-data.ts:34

### status

status: null | Status

- Defined in src/system/pokemon-data.ts:38

### stellarTypesBoosted

stellarTypesBoosted: PokemonType []

- Defined in src/system/pokemon-data.ts:51

### summonData

summonData: PokemonSummonData

- Defined in src/system/pokemon-data.ts:65

### summonDataSpeciesFormIndex

summonDataSpeciesFormIndex: number

- Defined in src/system/pokemon-data.ts:66

### teraType

teraType: PokemonType

- Defined in src/system/pokemon-data.ts:49

### usedTMs

usedTMs: Moves []

- Defined in src/system/pokemon-data.ts:47

### variant

variant: Variant

- Defined in src/system/pokemon-data.ts:27

## Methods

### getSummonDataSpeciesFormIndex

- getSummonDataSpeciesFormIndex(): number

  Method to save summon data species form index Necessary in case the pokemon is transformed to reload the correct form

  #### Returns number

  - Defined in src/system/pokemon-data.ts:238

### toPokemon

- toPokemon(
  battleType?: BattleType ,
  partyMemberIndex?: number,
  double?: boolean,
  ): default

  #### Parameters

  - `Optional` battleType: BattleType
  - partyMemberIndex: number = 0
  - double: boolean = false

  #### Returns default

  - Defined in src/system/pokemon-data.ts:187